/******************************************************************************
 *                                                                         
 *               Copyright 2004-2006 Agilent Technologies
 *               All rights reserved.
 *
 *****************************************************************************/
 
#include "stdafx.h"
#include "CoAgilent34980A.h"

/// <summary>
/// Configures the Alpha and Resistance parameters for a resistance temperature
/// device.
/// </summary>
/// <remarks>
/// 
/// </remarks>
/// <returns>
///	
/// </returns>
/// <param name="Alpha">
///	The alpha parameter for a resistance temperature device (RTD).
/// </param>
/// <param name="Resistance">
///	The R0 parameter (resistance) for a resistance temperature device (RTD) also
/// known as the RTD reference value.
/// </param>
HRESULT Agilent34980A::IIviDmmRTD_Configure(double Alpha, double Resistance)
{
	HRESULT hr = S_OK;

	hr = InstrPrintCommand();

	return hr;
}

/// <summary>
///	The alpha parameter for a resistance temperature device (RTD).  Applies only
/// when the Temperature Transducer Type is set to 2 Wire RTD or 4 Wire RTD.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34980A::IIviDmmRTD_get_Alpha(double* Val)
{
	HRESULT hr = S_OK;

	hr = InstrQueryCommand(Val);

	return hr;
}

/// <summary>
///	The alpha parameter for a resistance temperature device (RTD).  Applies only
/// when the Temperature Transducer Type is set to 2 Wire RTD or 4 Wire RTD.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34980A::IIviDmmRTD_put_Alpha(double Val)
{
	HRESULT hr = S_OK;

	hr = InstrPrintCommand();

	return hr;
}

/// <summary>
///	The R0 parameter (resistance) for a resistance temperature device (RTD). Also
/// known as the RTD reference value.  Applies only when the Temperature Transducer
/// Type is set to 2 Wire RTD or 4 Wire RTD.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34980A::IIviDmmRTD_get_Resistance(double* Val)
{
	HRESULT hr = S_OK;

	hr = InstrQueryCommand(Val);

	return hr;
}

/// <summary>
///	The R0 parameter (resistance) for a resistance temperature device (RTD). Also
/// known as the RTD reference value.  Applies only when the Temperature Transducer
/// Type is set to 2 Wire RTD or 4 Wire RTD.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34980A::IIviDmmRTD_put_Resistance(double Val)
{
	HRESULT hr = S_OK;

	hr = InstrPrintCommand();

	return hr;
}


